Skip to content

Device Authorization

POST
/api/v1/oauth/device_authorization
curl --request POST \
--url https://example.com/api/v1/oauth/device_authorization \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data client_id=example \
--data scope=example

Public device-flow start: a CLI/headless client gets a device_code + user_code and points the broker at the verification URL to approve.

Media typeapplication/x-www-form-urlencoded
Body_device_authorization_api_v1_oauth_device_authorization_post
object
client_id
required
Client Id
string
scope
Any of:
string
Examplegenerated
client_id=example&scope=example

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}